type BarSize = 'SMALL' | 'MEDIUM' | 'DEFAULT';
type Options = {
    stream?: NodeJS.WriteStream;
    width?: number;
    color?: string;
    bgColor?: string;
    autoClear?: boolean;
    size?: BarSize;
};
type Bar = {
    total: number;
    value: number;
    id?: number;
    prefix?: string;
    suffix?: string;
    color?: string;
    bgColor?: string;
    size?: BarSize;
    progress?: boolean;
};

declare class ProgressBar {
    private _stream;
    private _width;
    private _color;
    private _bgColor;
    private _autoClear;
    private _bars;
    private _size;
    constructor(options?: Options);
    private _getBarCharBySize;
    private _getBars;
    private _render;
    start(obj?: Partial<Bar>): void;
    _clear(): void;
    stop(msg?: string): void;
    update(obj: Partial<Bar>, id?: number): void;
    add(obj: Partial<Bar>): {
        update: (obj: Partial<Bar>) => void;
    } | null;
}

export { ProgressBar };
